Bug 1084934 - Unable to reload nagios under systemd
Summary: Unable to reload nagios under systemd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 24
Hardware: All
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-07 10:20 UTC by Tomas Edwardsson
Modified: 2017-07-23 22:53 UTC (History)
14 users (show)

Fixed In Version: nagios-4.3.2-5.el6 nagios-4.3.2-5.fc26 nagios-4.3.2-5.el7 nagios-4.3.2-5.fc24 nagios-4.3.2-5.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 02:19:55 UTC


Attachments (Terms of Use)
Patch to systemd unit file (875 bytes, patch)
2014-04-07 10:20 UTC, Tomas Edwardsson
no flags Details | Diff

Description Tomas Edwardsson 2014-04-07 10:20:19 UTC
Created attachment 883551 [details]
Patch to systemd unit file

Description of problem:

There is no reload action for the unit file


Version-Release number of selected component (if applicable):


How reproducible:
# systemctl reload nagios
Failed to issue method call: Job type reload is not applicable for unit nagios.service.


Patch attached

Comment 1 Tomas Edwardsson 2014-06-17 16:15:21 UTC
This would be great to have, I maintain a library called pynag which can reload the nagios process and without this I have to build extra logic into the library.

Being able to reload via systemctl I believe is "the right way".

Could you please comment on if this will be included?

Comment 2 Tomas Edwardsson 2014-07-01 10:54:29 UTC
Any news on this?

Comment 3 Fedora End Of Life 2015-05-29 11:29:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 19:57:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 David Brown 2015-12-22 00:00:14 UTC
I'd like to re-open this and give some feedback on how one could go about making a good reload for nagios under systemd....

The simplest answer is to add the following line to the service file

ExecReload=/bin/kill -HUP $MAINPID

However, systemd doesn't necessarily know that the reload was successful or not. The solution for that would be to write a script that sends the sighup and waits for appropriate output from the logs...

[1450742214] Caught SIGHUP, restarting...

for example.

Comment 6 Jan Kurik 2016-02-24 15:35:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Lenz Grimmer 2016-03-14 13:21:56 UTC
FWIW, this affects Nagios 4.0.8 as shipped on EPEL7 as well. Adding the "ExecReload" line to the service file fixes the issue. It would be nice if this trivial fix could be applied. Thanks!

Comment 8 David Brown 2016-04-09 18:24:56 UTC
I agree, this really needs to be fixed anywhere systemd is used to manage the nagios service...

Comment 9 Lenz Grimmer 2016-10-04 15:42:15 UTC
@Scott - would it be possible for you to resolve this? Thanks!

Comment 10 Lenz Grimmer 2016-12-13 12:27:28 UTC
(In reply to Tomas Edwardsson from comment #1)

> This would be great to have, I maintain a library called pynag which can
> reload the nagios process and without this I have to build extra logic into
> the library.
> 
> Being able to reload via systemctl I believe is "the right way".

This also affects our project, which uses "systemctl reload" (or "service reload") on all other distributions in order to trigger a configuration change.

See https://tracker.openattic.org/browse/OP-984 for details.

Any chance for this issue to be resolved? The fix is simple...

Comment 11 Petaris 2016-12-21 19:28:01 UTC
Fix tested and working in Nagios 4.2.4

Comment 12 Fedora Admin XMLRPC Client 2017-01-20 16:50:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora Admin XMLRPC Client 2017-01-20 16:59:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Stephen John Smoogen 2017-06-14 16:24:45 UTC
I apologize I did not see this when I was looking for outstanding tickets earlier.

Comment 15 Stephen John Smoogen 2017-06-14 16:26:06 UTC
I have updated the package to the latest version and added these changes to the nagios startup

Comment 16 Fedora Update System 2017-06-14 17:47:38 UTC
nagios-4.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 17 David Brown 2017-06-14 17:51:44 UTC
That's great where is the update for EPEL?

Comment 18 Stephen John Smoogen 2017-06-14 17:53:59 UTC
Should hopefully show up in EPEL-testing tomorrow. I am plugging through the builds for each of the releases backwards (f27,f26,f25,f24,el7,el6) since this affected all of them

Comment 19 Fedora Update System 2017-06-14 18:14:18 UTC
nagios-4.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 20 Fedora Update System 2017-06-14 18:26:08 UTC
nagios-4.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 21 Fedora Update System 2017-06-14 18:52:54 UTC
nagios-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 22 Fedora Update System 2017-06-14 18:58:39 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 23 Fedora Update System 2017-06-15 09:46:09 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 24 Fedora Update System 2017-06-15 09:47:47 UTC
nagios-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 25 Fedora Update System 2017-06-15 10:56:51 UTC
nagios-4.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 26 Fedora Update System 2017-06-15 10:58:43 UTC
nagios-4.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 27 Fedora Update System 2017-06-15 14:00:41 UTC
nagios-4.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 28 Stephen John Smoogen 2017-06-26 12:56:17 UTC
There should be a set of updates in epel-testing. I am looking for feedback and trying to fix an selinux problem.

Comment 29 Fedora Update System 2017-06-28 19:26:27 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 30 Fedora Update System 2017-06-29 23:25:00 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff366a9c63

Comment 31 Fedora Update System 2017-06-30 01:15:57 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 32 Fedora Update System 2017-06-30 01:20:45 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a6bf582624

Comment 33 Fedora Update System 2017-06-30 01:50:16 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1f1f14fbc

Comment 34 Fedora Update System 2017-06-30 02:26:06 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72d4579efc

Comment 35 Fedora Update System 2017-07-23 02:19:55 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-07-23 03:54:16 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2017-07-23 18:49:05 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2017-07-23 21:50:07 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2017-07-23 22:53:31 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.